#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 36. Xfce Applications

- Prev

  Parole-4.20.0

- Next

  Xfburn-0.8.0

- Up
- Home

# xfce4-terminal-1.2.0

## Introduction to Xfce4 Terminal

Xfce4 Terminal is a GTK+3 terminal emulator. This is useful for running commands or programs in the comfort of an Xorg window; you can drag and drop files into the Xfce4 Terminal or copy and paste text with your mouse.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://archive.xfce.org/src/apps/xfce4-terminal/1.2/xfce4-terminal-1.2.0.tar.xz

- Download MD5 sum: 1662d52f7ffdcfde7c4ef76fd2358947

- Download size: 444 KB

- Estimated disk space required: 10 MB

- Estimated build time: 0.1 SBU

### Xfce4 Terminal Dependencies

#### Required

libxfce4ui-4.20.2 and VTE-0.84.0

#### Optional

gtk-layer-shell

## Installation of Xfce4 Terminal

First, work around a problem where functions from a package not in BLFS are used accidentally:

    sed -e '570i #ifdef HAVE_GTK_LAYER_SHELL' \
        -e '574a #endif'                      \
        -i  terminal/terminal-window-dropdown.c

Install Xfce4 Terminal by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..      \
          --prefix=/usr \
          --buildtype=release &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Contents

Installed Program: xfce4-terminal
Installed Libraries: None
Installed Directory: /usr/share/xfce4/terminal

### Short Descriptions

xfce4-terminal | is a GTK+ 3 terminal emulator

- Prev

  Parole-4.20.0

- Next

  Xfburn-0.8.0

- Up
- Home